/*
 * GTK+(2.0.x)ѤPC-UNIXѥĢΥ
 *
 * б˴ؤؿ
 */

/*
 * Cmemo : Text Editor
 * keys.h - header file for functions of keys
 *
 * Copyright (C) 2000, 2001, 2002 Seiji Tamura
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#define KEY_RECORDING_STOP     0
#define KEY_RECORDING_START    1
#define KEY_RECORDING_CONTINUE 2

#define KEY_PLAYING_STOP  0
#define KEY_PLAYING_START 1

struct key_macro_events {
  GList *head;
  GList *tail;
};


/*ؿ*/
gint key_press_cb(GtkWidget *widget, GdkEvent *event, gpointer data);
gint key_release_cb(GtkWidget *widget, GdkEvent *event, gpointer data);
gint rtn_key_cb(GtkEntry *entry, GdkEventKey *key_event, gpointer data);
gint alt_key_cb(GtkWidget *widget, GdkEvent *event, gpointer data);
gint key_macro_cb(GtkWidget *widget, GdkEvent *event, gpointer cur_doc);
void init_key_macro_events(void);
void deinit_key_macro_events(void);
void key_macro_record_cb(GtkWidget *widget, gpointer data);
void key_macro_play_cb(GtkWidget *widget, gpointer data);
