/*
 * GTK+(2.x.x)ѤPC-UNIXѥĢΥ
 *
 * Ƽޥ
 */

/*
 * Cmemo : Text Editor
 * cme_def.h - header file for define macro
 *
 * Copyright (C) 2000 - 2004, 2005 Seiji Tamura
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


/* С */
#define VERSION_INFO "Cmemo for PC-UNIX (ver.2.1.4)"

#define PACKAGE "cmemo"

/* for OpenBSD user */
#define OPENBSD 0

/* YES NO(ȤäƤʤ) */
#define YES 1
#define NO  0

/* ɤưȽ̤뤫ɤ */
#define MANUAL    0
#define AUTOMATIC 1

/* ѥ̾κĹ */
#define MAX_PATH 260
/*#define MAX_PATH 1024*/

/* mlwriteѤ */
#define ML_S_ONLY 0 /* stdout */
#define ML_E_ONLY 1 /* entry widget */
#define ML_BOTH   2 /* stdout and entry */

#define ML_IMMEDIATELY 0
#define ML_DELAYED     1

/* Gtk+-2.0.x */
#define GTK20
#define ENTRY_HEIGHT 21

#define CME_UNTITLED "UNTITLED"
#define OPENED_CMEMO "OPENEDCMEMO"

/* gettext򥵥ݡȤ뤫ɤ */
#define SUPPORT_GETTEXT 1

/* gettextΥåեؤΥѥ */
#undef LOCALEDIR
#define LOCALEDIR "/usr/local/share/locale"
/* make  prefix=/usr Ȥ */
/*#define LOCALEDIR "/usr/share/locale"*/

/* global variables */
extern char *cm_msg_exit_warning;
extern char *cm_msg_newtext_warning;
extern char *cm_msg_overwrite_warning;
extern char *cm_msg_binary_file_warning;
extern char *cm_msg_dropfile_received_s;
extern char *cm_msg_started_pid_u;
extern char *cm_msg_shared_memory_id_d;
extern char *cm_msg_illegal_option_s;
extern char *cm_msg_print_not_supported;
extern char *cm_msg_mode_changed_s;
extern char *cm_msg_return_code_lf;
extern char *cm_msg_return_code_cr;
extern char *cm_msg_return_code_crlf;
extern char *cm_msg_ignore_case;
extern char *cm_msg_dont_ignore_case;
extern char *cm_msg_mode_message_s1_s2_s3_s4;
extern char *cm_msg_display_refreshed_d;
extern char *cm_msg_changed_kanji_code_s;
extern char *cm_msg_changed_return_code_s;
extern char *cm_msg_file_not_found_s;
extern char *cm_msg_file_already_opened_s;
extern char *cm_msg_memory_full;
extern char *cm_msg_file_opened_s;
extern char *cm_msg_file_empty_s;
extern char *cm_msg_file_open_error_s;
extern char *cm_msg_file_wrote_s;
extern char *cm_msg_file_save_error_s;
extern char *cm_msg_file_not_opened_s;
extern char *cm_msg_file_cant_access_s;
extern char *cm_msg_directory_cant_open_s;
extern char *cm_msg_gsearch_canceled;
extern char *cm_msg_file_name_too_long_s1_s2;
extern char *cm_msg_search_directry_s ;
extern char *cm_msg_search_file_type_s;
extern char *cm_msg_search_word_s     ;
extern char *cm_msg_get_env_value_error_s;
extern char *cm_msg_too_long_home_dir_name;
extern char *cm_msg_too_long_dot_cmemo_name;
extern char *cm_msg_too_long_dot_cmemodb_name;
extern char *cm_msg_cant_find_dot_cmemo;
extern char *cm_msg_menu_new_window;
extern char *cm_msg_menu_open;
extern char *cm_msg_menu_save;
extern char *cm_msg_menu_save_as;
extern char *cm_msg_menu_print;
extern char *cm_msg_menu_exit;
extern char *cm_msg_menu_file;
extern char *cm_msg_menu_undo;
extern char *cm_msg_menu_redo;
extern char *cm_msg_menu_copy;
extern char *cm_msg_menu_cut;
extern char *cm_msg_menu_paste;
extern char *cm_msg_menu_select_all;
extern char *cm_msg_menu_edit;
extern char *cm_msg_menu_find;
extern char *cm_msg_menu_find_dlg_open;
extern char *cm_msg_menu_search_dn;
extern char *cm_msg_menu_search_up;
extern char *cm_msg_menu_replace;
extern char *cm_msg_menu_ignore_case;
extern char *cm_msg_menu_regex_search;
extern char *cm_msg_menu_jump_to;
extern char *cm_msg_menu_tag_jump;
extern char *cm_msg_menu_global_search;
extern char *cm_msg_menu_search;
extern char *cm_msg_menu_toolbar_visible;
extern char *cm_msg_menu_line_wrap;
extern char *cm_msg_menu_line_numbers;
extern char *cm_msg_menu_syntax_highlighting;
extern char *cm_msg_menu_refresh_display;
extern char *cm_msg_menu_view;
extern char *cm_msg_menu_play_key_macro;
extern char *cm_msg_menu_record_key_macro;
extern char *cm_msg_menu_cmds;
extern char *cm_msg_menu_lang;
extern char *cm_msg_show_mode;
extern char *cm_msg_mode;
extern char *cm_msg_settings;
extern char *cm_msg_version_info;
extern char *cm_msg_help;
extern char *cm_msg_input_jump_number;
extern char *cm_msg_jumped_s;
extern char *cm_msg_input_word_to_search;
extern char *cm_msg_input_word_to_replace;
extern char *cm_msg_count_replaced_d;
extern char *cm_msg_fail_to_malloc;
extern char *cm_msg_matched_line_column_d1_d2;
extern char *cm_msg_not_matched_current_line_d;
extern char *cm_msg_binary_warning;
extern char *cm_msg_file_size_warning;
extern char *cm_msg_fail_to_open_cmemodb;
extern char *cm_msg_cant_jump_to_s;
extern char *cm_msg_no_changes_need_to_be_saved;
extern char *cm_msg_wait;
extern char *cm_msg_please_wait;
extern char *cm_msg_mode_status_d1_d2_d3_d4;
extern char *cm_msg_line_column_d1_d2;
extern char *cm_msg_no_further_undo_info;
extern char *cm_msg_no_further_rndo_info;
