/*
 * GTK+(2.0.x)ѤPC-UNIXѥĢΥ
 *
 * ᥤؿŪԽΤδؿ
 * ƼؿƤӽФδؿ              
 */

/*
 * Cmemo : Text Editor
 * cmemo.h - header file for main source
 *
 * Copyright (C) 2000, 2001, 2002 Seiji Tamura
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


struct text_struct {
  GList *undolist;
  GList *undotail;
  GList *redolist;
  GList *redotail;
  GtkWidget *textbox;
  gchar *filename;      /* file name                          */
  gint modified;        /* 0:not modified 1:modified          */
  guint ins_txt_id;     /* connect id of "doc_insert_text_cb" */
  guint del_txt_id;     /* connect id of "doc_delete_text_cb" */
  guint line_ins_id;    /* connect id of "line_count_insert"  */
  guint line_del_id;    /* connect id of "line_count_delete"  */
  guint key_prs_id;     /* connect id of "key_press_cb"       */
  guint key_rls_id;     /* connect id of "key_release_cb"     */
  guint exp_evt_id;     /* connect id of "text_expose_cb"     */
};

struct search_struct {
  GtkWidget *button_up;
  GtkWidget *button_dn;
  GtkWidget *entry;
  GtkWidget *rep_entry;
};

struct jump_struct {
  GtkWidget *button;
  GtkWidget *entry;
};

struct status_struct {
  GtkWidget *info;
  GtkWidget *linecol;
  GtkWidget *search;
  GtkWidget *chrcode;
  GtkWidget *retmode;
};

/* Хѿ */
extern GtkWidget *cm_window;
extern GtkWidget *cm_menu_bar;
extern GtkWidget *cm_gsearch_wnd;
extern GtkWidget *cm_focused_editable;
extern GdkFont *cm_keyword_font; /* ѤΥե */
extern GdkFont *cm_normal_font;  /* ̤ʸѤΥե */
extern int cm_end_flag;
extern struct text_struct cm_document;
extern struct search_struct cm_search;
extern struct jump_struct cm_jump;
extern struct status_struct cm_status;
GtkWidget *cm_hseparator;
GtkWidget *cm_toolbar;

/*ؿ*/
int main_win_destroy(GtkWidget *widget, gpointer data);
int read_shared_mem(char *data);
int write_shared_mem(char *data);
