/*
 * GTK+(2.0.x)ѤPC-UNIXѥĢΥ
 *
 * ʸĴɽ˴ؤؿ
 */

/*
 * Cmemo : Text Editor
 * coloron.h - header file for syntax highlighting
 *
 * Copyright (C) 2000, 2001, 2002 Seiji Tamura
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#define CME_COMMENT      1
#define CME_LINE_COMMENT 2
#define CME_STRING       3
#define CME_CHARACTER    4
#define CME_NUMBER       5
#define CME_DELIMITER    6

void mode_change_cb(GtkWidget *widget, gpointer mode);
void show_mode_cb(GtkWidget *widget, gpointer data);
void refresh_display_cb(GtkWidget *widget, gpointer data);
void syntax_highlighting_cb(GtkWidget *widget, gpointer data);
void color_on_cb(GtkWidget *widget, gpointer data);
void color_off_cb(GtkWidget *widget, gpointer data);
void color_on(gpointer textview, gchar *textbuf);
void create_tags(GtkTextBuffer *buffer, gpointer ft_inf);
int apply_color(GtkTextIter *start,
                GtkTextIter *end,
                GtkTextBuffer *buffer,
                gchar *textbuf,
                gpointer ft_inf,
                int in_comment);
int update_text(gpointer cur_doc);
